Get all available liquidity pools
GET /v2/liquidity/pools
GET
/v2/liquidity/pools
Retrieve the list of all available liquidity pools.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”List of available pools
object
items
required
List of liquidity pools
Array<object>
object
poolId
required
UUID of the liquidity pool
string
poolInfo
required
Current pool state and pricing information
object
token0Symbol
required
Token symbol for token0 (e.g., “USDC”)
string
token1Symbol
required
Token symbol for token1 (e.g., “ETH”)
string
token0Reserve
required
Current amount of token0 in the pool
string
token1Reserve
required
Current amount of token1 in the pool
string
token0Price
required
Exchange rate: How much token1 you get for 1 token0
string
token1Price
required
Exchange rate: How much token0 you get for 1 token1
string
totalLiquidity
required
Total value of LP tokens in circulation
string
tvlUsd
required
Total value locked in USD
string
volume24h
required
Trading volume in the last 24 hours in USD
string
page
required
Pagination information
object
number
required
Page number (starts at 1)
number
1 size
required
Items per page
number
10 totalPages
required
Total number of items
number
100 totalCount
required
Total number of pages
number
10 hasNext
required
Whether there is a next page
boolean
true hasPrev
required
Whether there is a previous page
boolean
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error